Skip to main content
POST
/
features
/
{id}
cURL
curl -X POST https://api.growthbook.io/api/v1/features/test-01 \
  -d '{ "description": "A cool feature flag", ... }'
  -u secret_abc123DEF456:
{
  "feature": {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "archived": true,
    "description": "<string>",
    "owner": "<unknown>",
    "project": "<string>",
    "valueType": "boolean",
    "defaultValue": "<string>",
    "tags": [
      "<string>"
    ],
    "environments": {},
    "revision": {
      "version": 123,
      "comment": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "createdBy": "<string>",
      "publishedBy": "<string>"
    },
    "prerequisites": [
      "<string>"
    ],
    "customFields": {},
    "holdout": {
      "id": "<string>",
      "value": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

The id of the requested resource

Body

application/json
description
string

Description of the feature

archived
boolean
project
string

An associated project ID

owner
any
defaultValue
string
tags
string[]

List of associated tags. Will override tags completely with submitted list

environments
object
prerequisites
string[]

Feature IDs. Each feature must evaluate to true

jsonSchema
string

Use JSON schema to validate the payload of a JSON-type feature value (enterprise only).

customFields
object
holdout
object

Holdout to assign this feature to. Pass null to remove the feature from its current holdout. Omit the field entirely to leave the holdout unchanged.

Response

200 - application/json

Success

feature
object
required